Subject: 23.0.60; GNUS groups and non ascii characters: mails disappear
From: Sebastian Rose <[email-masked]>
To: [email-masked]
Date: Tue, 23 Dec 2008 15:25:36 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I use a group name containing the german letter `ö'. My whole Debian
System is utf-8 based and I save all files (.emacs, .gnus.el....) in
utf-8 by default.

Here is the relevant part of an example .gnus.el:

(setq nnmail-split-methods
      '(("list:monotone-devel" "Subject:.*\\[Monotone-devel\\]")
        ("list:emacs-devel" "To:[email-masked]")
        ("unmöglich" "\\(To\\|CC\\|Sender\\|From\\):[email-masked]")
        ("mail:eingang" "")
        ))

In the group buffer `unmöglich' is displayed as

 nnml:unm\366glich

When I fetch new mails, the line in the group buffer changes as expected
to 

  6: nnml:unm\336glich

Moving point to that line and pressing SPACE, that is
(gnus-group-read-group &optional all no-article group select-articles),
makes all the mails disapear again, and the line looks like I have no
mails in that group anymore:

  0: nnml:unm\336glich

The summarybuffer does not open up. If the summary buffer was opened
already, it's contents are not changed to reflect the contents of
`unmöglich'.

sh$ ls -l ~/emacs/gnus/Mail/
drwxr-xr-x 2 sebastian sebastian    4096 23. Dez 12:48 unmöglich
drwxr-xr-x 2 sebastian sebastian    4096 23. Dez 15:12 unm?glich

...revealsI have two directories for this group, both of which were
touched today:

`unmöglich' was touched when I started emacs/gnus.
            This is, where I found 3 out of 6 mails (maybe the `6: ...'
            was wrong in the group buffer?).
`unm?glich' was touched when I fetched Mail (or when I hit the spacebar
            in the group buffer - not shure yet).
            This one is empty.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-12-19 on kassiopeya
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  bug-reference-mode: t
  recentf-mode: t
  yas/minor-mode: t
  show-paren-mode: t
  global-hl-line-mode: t
  display-time-mode: t
  desktop-save-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
m e h r e r e n SPC k o m m e n ) . <down-mouse-1> 
<mouse-movement> <mouse-movement> <drag-mouse-1> <switch-frame> 
<switch-frame> <down-mouse-4> <mouse-4> <double-down-mouse-4> 
<double-mouse-4> <down-mouse-4> <mouse-4> <double-down-mouse-4> 
<double-mouse-4> <down-mouse-5> <mouse-5> <double-down-mouse-5> 
<double-mouse-5> <down-mouse-2> <mouse-2> <down-mouse-1> 
<mouse-movement> <mouse-1> <left> <backspace> <backspace> 
<backspace> 2 . 5 C-e <return> = = = = = = = = = = 
= = = = = = <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> C-e <return> <return> 
<up> <return> <tab> I K i n e r <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> E i 
n SPC z u <backspace> <backspace> Z u s t e l l b e 
t t SPC f . SPC K i n d e <backspace> : SPC 2 0 , SPC 
E U R <down> <right> <right> <right> 6 <delete> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <right> <right> 7 <delete> M-< <down-mouse-1> 
<mouse-1> 7 <delete> <down-mouse-1> <mouse-1> C-c C-c 
g SPC E B C-M-e y SPC SPC <up> SPC B <delete> y SPC 
SPC <up> SPC E E E <up> <up> SPC C-g C-g <down> SPC 
<up> SPC <down> SPC <switch-frame> C-g C-x C-s M-x 
e m a c s <tab> b <tab> <M-backspace> <M-backspace> 
<M-backspace> <M-backspace> b u g <tab> <tab> m o <tab> 
<return> M-x C-g C-h f b u g - r e f <tab> <tab> m 
<tab> <return> <switch-frame> <switch-frame> M-x r 
e p o <tab> r <tab> <return>

Recent messages:
No more unread articles
No more articles
Quit [3 times]
Wrote /home/sebastian/unterkünfte-in-Bruchköbel.org
Making completion list...
Bug-Reference mode enabled
Quit
Making completion list...
Type C-x 1 to delete the help window.
Making completion list...

-- 
Sebastian Rose, EMMA STIL - mediendesign, Niemeyerstr.6, 30449 Hannover
Tel.:  +49 (0)511 - 36 58 472
Fax:   +49 (0)1805 - 233633 - 11044
mobil: +49 (0)173 - 83 93 417
Email: s.rose emma-stil de, sebastian_rose gmx de
Http:  www.emma-stil.de